### Constructor

# Gtk.Picture.new_for_paintable

#### Declaration [src]

    GtkWidget*
    gtk_picture_new_for_paintable (
      GdkPaintable* paintable
    )

#### Description [src]

Creates a new `GtkPicture` displaying `paintable`.

The `GtkPicture` will track changes to the `paintable` and update its size and contents in response to it.

#### Parameters

`paintable` | `GdkPaintable*`
| a `GdkPaintable`, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
a new `GtkPicture`
Ownership is not transferred to the caller